Imagick::getImageRedPrimary
Imagick::getImageRenderingIntent
Imagick
PHP Manual

# Imagick::getImageRegion

(PECL imagick 2.0.0)

Imagick::getImageRegion — Extracts a region of the image

### Description

Imagick Imagick::getImageRegion ( int `$width` , int `$height` , int `$x` , int `$y` )

Extracts a region of the image and returns it as a new Imagick object.

### Parameters

`width`

  The width of the extracted region.

`height`

  The height of the extracted region.

`x`

  X-coordinate of the top-left corner of the extracted region.

`y`

  Y-coordinate of the top-left corner of the extracted region.

### Return Values

Extracts a region of the image and returns it as a new wand.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::getImageRedPrimary
Imagick::getImageRenderingIntent
Imagick
PHP Manual